Package net.shibboleth.idp.saml.saml2.profile.config

# Interface AttributeQueryProfileConfiguration

All Superinterfaces:
  `AttributeQueryProfileConfiguration`, `AttributeResolvingProfileConfiguration`, `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLProfileConfiguration`

All Known Implementing Classes:
  `AttributeQueryProfileConfiguration`

public interface AttributeQueryProfileConfiguration extends AttributeQueryProfileConfiguration
Configuration support for SAML 2.0 Attribute Query profile.

Adds settings specific issuer role for SAML 2.0.

Since:
  5.1.0

## Field Summary

### Fields inherited from interface net.shibboleth.saml.saml2.profile.config.AttributeQueryProfileConfiguration

`PROFILE_ID`

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isRandomizeFriendlyName(ProfileRequestContext profileRequestContext)`
Gets whether to randomize/perturb the FriendlyName attribute when encoding SAML 2.0 Attributes to enable probing of invalid behavior by relying parties.

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.AttributeQueryProfileConfiguration

`isClientTLSSOAPRequests, isSignSOAPRequests`

### Methods inherited from interface net.shibboleth.profile.config.AttributeResolvingProfileConfiguration

`getAttributeRecipientGroupID, getRequestedIdPAttributeNames, isResolveAttributes`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.SAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Method Details

### isRandomizeFriendlyName

@ConfigurationSetting(name="randomizeFriendlyName") boolean isRandomizeFriendlyName(@Nullable ProfileRequestContext profileRequestContext)
Gets whether to randomize/perturb the FriendlyName attribute when encoding SAML 2.0 Attributes to enable probing of invalid behavior by relying parties.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  true iff the FriendlyName should be randomized